<?php
/* -----------------------------------------------------------------------------
  Plugin     : GMaps
  Author     : Grum
    email    : grum@piwigo.org
    website  : http://photos.grum.fr

    << May the Little SpaceFrog be with you ! >>
  ------------------------------------------------------------------------------
  See main.inc.php for release information

  --------------------------------------------------------------------------- */

if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }



global $prefixeTable, $template;

load_language('plugin.lang', GMAPS_PATH);

$main_plugin_object = get_plugin_data($plugin_id);


if(CommonPlugin::checkGPCRelease(GMAPS_GPC_NEEDED))
{
  $config=Array();
  GPCCore::loadConfig('gmaps', $config);


  if($config['installed']!=GMAPS_VERSION2)
  {
    /* the plugin was updated without being deactivated
     * deactivate + activate the plugin to process the database upgrade
     */
    include(GMAPS_PATH."gmaps_install.class.inc.php");
    $gmaps=new GMaps_Install($prefixeTable, dirname(__FILE__));
    $gmaps->deactivate();
    $gmaps->activate();
    $template->delete_compiled_templates();
    //$config['newInstall']='n';
  }

  include(GMAPS_PATH."gmaps_aip.class.inc.php");
  $plugin_aip = new GMaps_AIP($prefixeTable, $main_plugin_object->getFileLocation());
}
else
{
  /*
   * plugin was upgraded, but GPC was not
   * display a page to inform user to upgrade GPC
   */
  include(GMAPS_PATH."gmaps_aip_release.class.inc.php");
  $plugin_aip = new GMaps_AIPRelease($prefixeTable, $main_plugin_object->getFileLocation());
}




$plugin_aip->manage();

?>
